﻿Imports System.IO

Public Class FrmBeatlesStart
    Dim myPath As String

    Dim SongTitle As String()
    Dim SongAlbumCode As String()

    Dim AlbumAlbumCode As String()
    Dim AlbumTitle As String()
    Dim AlbumImage As String()


    Private Sub FrmBeatlesStart_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim Contents As String
        Dim Line As String()
        Dim Token As String()
        Dim i As Integer

        myPath = Directory.GetCurrentDirectory

        Try
            'MsgBox(myPath & "\Beatles\BeatlesSongs.txt")
            MyStreamReader = New StreamReader(myPath & "\Beatles\BeatlesSongs.txt")
            Contents = MyStreamReader.ReadToEnd
            Contents = Contents.Trim
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file with songs.")
            Exit Sub
        End Try

        Line = Contents.Split(vbCrLf)

        SongTitle = New String(Line.Length - 1) {}
        SongAlbumCode = New String(Line.Length - 1) {}

        For i = 0 To Line.Length - 1
            Try
                Token = Line(i).Trim.Split(",")
                SongTitle(i) = Token(0)
                SongAlbumCode(i) = Token(1)
                lstSongs.Items.Add(SongTitle(i))
            Catch ex As Exception
                MsgBox("Problem parsing songs.")
            End Try
        Next


        Try
            MyStreamReader = New StreamReader(myPath & "\Beatles\BeatlesAlbums.txt")
            Contents = MyStreamReader.ReadToEnd
            Contents = Contents.Trim
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file with albums.")
            Exit Sub
        End Try

        Line = Contents.Split(vbCrLf)

        AlbumAlbumCode = New String(Line.Length - 1) {}
        AlbumTitle = New String(Line.Length - 1) {}
        AlbumImage = New String(Line.Length - 1) {}

        For i = 0 To Line.Length - 1
            Try
                Token = Line(i).Trim.Split(",")
                AlbumAlbumCode(i) = Token(0)
                AlbumTitle(i) = Token(1)
                AlbumImage(i) = Token(2)
            Catch ex As Exception
                MsgBox("Problem parsing albums.")
            End Try
        Next


    End Sub

    Private Sub btnSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        Dim SearchWord As String
        Dim MatchTitles As String = ""
        Dim IndivSongTitle As String
        Dim i As Integer

        SearchWord = txtSearchString.Text.Trim.ToLower
        'may not want to trim -- user may want space 
        If SearchWord = "" Then
            MsgBox("Please enter a search word.")
            Exit Sub
        End If

        For i = 0 To SongTitle.Length - 1
            IndivSongTitle = SongTitle(i).ToLower
            'If IndivSongTitle.Contains(SearchWord) Then
            '    MatchTitles &= SongTitle(i) & vbCrLf
            'End If
            If IndivSongTitle.IndexOf(SearchWord) <> -1 Then
                MatchTitles &= SongTitle(i) & vbCrLf
            End If
        Next

        If MatchTitles <> "" Then
            MsgBox(MatchTitles)
        Else
            MsgBox("Sorry I didn't find any matches.")
        End If


    End Sub

    Private Sub btnAddToAlbum_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddToAlbum.Click
        Dim SelectedSong As String

        SelectedSong = lstSongs.SelectedItem

        lstAlbum.Items.Add(SelectedSong)

        If lstAlbum.Items.Count = 10 Then
            btnAddToAlbum.Enabled = False
            btnSaveAlbum.Enabled = True

        End If

    End Sub

    Private Sub btnSaveAlbum_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSaveAlbum.Click
        Dim MyStreamwriter As StreamWriter
        Dim i As Integer

        sfdAlbum.ShowDialog()
        Try
            MyStreamwriter = New StreamWriter(sfdAlbum.FileName)

        Catch ex As Exception
            MsgBox("problem writing to file.")
            Exit Sub
        End Try

        For i = 0 To lstAlbum.Items.Count - 1
            MyStreamwriter.WriteLine(lstAlbum.Items.Item(i))
        Next
        MyStreamwriter.Flush()
        MyStreamwriter.Close()

        MsgBox("Your list was saved to " & sfdAlbum.FileName)



    End Sub
End Class
